# EN+充电配置
en-plus:
  # 运营商ID
  operatorId: MA5HJNDG1
  # 运营商密钥
  operatorSecret: 5009db3dc1e94ea8
  # 消息密钥
  dataSecret: 8c15f5bf050948ba
  # 消息密钥初始化向量
  dataSecretIv: 915bea94fa13461d
  # 签名密钥
  sigSecret: 46050b0bb5b7415c
  # 最小充电余额（分）
  chargeMinAmount: 200
  # 接口地址
  apiDomain: https://dev.en-plus.cn/Charge/evcs/v1/MA5HJNDG1/

# 微信支付
wechat:
  payment:
    appid: wx369fcff95d387bde
    # 微信商户号
    mchid: 1635831469
    mchsn: 6A45EEB068369430B2FFD45EA29F641A8E18165F
    v3Key: iTRovdvaTUQq0b9Jr91D7Tx66JnIes5U
    notifyUrl: https://dev.kuaiyuman.cn/api/payment/notify
    refundNotifyUrl: https://dev.kuaiyuman.cn/api/payment/refundNotify
    certPath: cert/apiclient_cert.pem
    keyPath: cert/apiclient_key.pem

  miniapp:
    appid: wx369fcff95d387bde
    secret: e36560b99afd5f744754cd09e8f6cc2a
    # 以下需要先开通消息推送
    token: #微信小程序消息服务器配置的token
    aesKey: #微信小程序消息服务器配置的EncodingAESKey
    msgDataFormat: JSON

spring:
  datasource:
    druid: #以下是全局默认值，可以全局更改
      #监控统计拦截的filters
      filters: stat,slf4j
      #配置初始化大小/最小/最大
      initial-size: 2
      min-idle: 2
      max-active: 20
      #获取连接等待超时时间
      max-wait: 60000
      #间隔多久进行一次检测，检测需要关闭的空闲连接
      time-between-eviction-runs-millis: 60000
      #一个连接在池中最小生存的时间
      min-evictable-idle-time-millis: 300000
      validation-query: SELECT 'x'
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      #打开PSCache，并指定每个连接上PSCache的大小。oracle设为true，mysql设为false。分库分表较多推荐设置为false
      pool-prepared-statements: false
      max-pool-prepared-statement-per-connection-size: 20
    dynamic:
      primary: db-miniapp
      strict: false #严格匹配数据源,默认false. true未匹配到指定数据源时抛异常,false使用默认数据源
      datasource:
        db-admin:
          url: jdbc:mysql://121.40.98.15:3307/charge_admin?tinyInt1isBit=false&serverTimezone=Asia/Shanghai
          username: root
          password: 123456
          driver-class-name: com.mysql.cj.jdbc.Driver
        db-miniapp:
          url: jdbc:mysql://121.40.98.15:3307/charge_app
          username: root
          password: 123456
          driver-class-name: com.mysql.cj.jdbc.Driver
  data:
    redis:
      port: 6380
      host: 121.40.98.15
      password: 123456
      database: 10
      lettuce:
        pool:
          min-idle: 1
        cluster:
          refresh:
            adaptive: true
            period: 20
  cache:
    type: redis
    redis:
      # 缓存过期时间：7天
      time-to-live: 604800

kym:
  notify-email: skyline@kuaiyuman.cn